Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## griffon.core
[Java] Enum GriffonApplication.Configuration

    java.lang.Object
      griffon.core.GriffonApplication.Configuration

    public enum GriffonApplication.Configuration

Defines the names of the configuration scripts.

Authors:
  Andres Almiray

Since:
  0.9.2

Enum Constant Summary
`APPLICATION`
`BUILDER`
`CONFIG`
`EVENTS`

Field Summary
`private String` | `name` Defines the basic contract of a Griffon application.

Method Summary
`String` | `getName()` Returns the capitalized String representation of this Configuration object.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Enum Constant Detail

### APPLICATION

    GriffonApplication.Configuration APPLICATION

### BUILDER

    GriffonApplication.Configuration BUILDER

### CONFIG

    GriffonApplication.Configuration CONFIG

### EVENTS

    GriffonApplication.Configuration EVENTS

Field Detail

### name

    private String name

  Defines the basic contract of a Griffon application.

  Authors:
    Danno Ferrin
    Andres Almiray

Method Detail

### getName

    public String getName()

  Returns the capitalized String representation of this Configuration object.
  Returns:
    a capitalized String

Groovy Documentation